Upstream information

CVE-2010-1440 at MITRE

Description

Multiple integer overflows in dvipsk/dospecial.c in dvips in TeX Live 2009 and earlier, and teTeX, allow remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a special command in a DVI file, related to the (1) predospecial and (2) bbdospecial functions, a different vulnerability than CVE-2010-0739.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 587794 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Software Development Kit 11 SP4
  • texlive >= 2007-219.34.6
  • texlive-arab >= 2007-219.34.6
  • texlive-bin >= 2007-219.34.6
  • texlive-bin-cjk >= 2007-219.34.6
  • texlive-bin-devel >= 2007-219.34.6
  • texlive-bin-dvilj >= 2007-219.34.6
  • texlive-bin-jadetex >= 2007-219.34.6
  • texlive-bin-latex >= 2007-219.34.6
  • texlive-bin-metapost >= 2007-219.34.6
  • texlive-bin-musictex >= 2007-219.34.6
  • texlive-bin-omega >= 2007-219.34.6
  • texlive-bin-tex4ht >= 2007-219.34.6
  • texlive-bin-tools >= 2007-219.34.6
  • texlive-bin-xetex >= 2007-219.34.6
  • texlive-bin-xmltex >= 2007-219.34.6
  • texlive-cjk >= 2007-219.34.6
  • texlive-context >= 2007-219.34.6
  • texlive-devel >= 2007-219.34.6
  • texlive-doc >= 2007-219.34.6
  • texlive-dvilj >= 2007-219.34.6
  • texlive-jadetex >= 2007-219.34.6
  • texlive-latex >= 2007-219.34.6
  • texlive-latex-doc >= 2007-219.34.6
  • texlive-metapost >= 2007-219.34.6
  • texlive-musictex >= 2007-219.34.6
  • texlive-omega >= 2007-219.34.6
  • texlive-ppower4 >= 2007-219.34.6
  • texlive-tex4ht >= 2007-219.34.6
  • texlive-tools >= 2007-219.34.6
  • texlive-xetex >= 2007-219.34.6
  • texlive-xmltex >= 2007-219.34.6


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 tetex Released